org.modeshape.common.collection

## Class AbstractMultimap.WrappedList

- java.lang.Object
- - org.modeshape.common.collection.AbstractMultimap.WrappedCollection
  - - org.modeshape.common.collection.AbstractMultimap.WrappedList

- All Implemented Interfaces:
    Iterable<V>, Collection<V>, List<V>
  Enclosing class:
    AbstractMultimap<K,V>

      protected class AbstractMultimap.WrappedList
      extends AbstractMultimap.WrappedCollection
      implements List<V>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `AbstractMultimap.WrappedList.DelegateListIterator`

    - ### Nested classes/interfaces inherited from class org.modeshape.common.collection.AbstractMultimap.WrappedCollection

      `AbstractMultimap.WrappedCollection.DelegateIterator`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMultimap.WrappedList(K key, Collection<V> values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, V element)`
    `boolean` | `addAll(int index, Collection<? extends V> c)`
    `protected List<V>` | `delegate()`
    `V` | `get(int index)`
    `int` | `indexOf(Object o)`
    `int` | `lastIndexOf(Object o)`
    `ListIterator<V>` | `listIterator()`
    `ListIterator<V>` | `listIterator(int index)`
    `V` | `remove(int index)`
    `V` | `set(int index, V element)`
    `List<V>` | `subList(int fromIndex, int toIndex)`

    - ### Methods inherited from class org.modeshape.common.collection.AbstractMultimap.WrappedCollection

      `add, addAll, addToMap, clear, contains, containsAll, equals, getKey, hashCode, isEmpty, iterator, remove, removeAll, removeIfEmpty, retainAll, size, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Constructor Detail

    - #### AbstractMultimap.WrappedList

          protected AbstractMultimap.WrappedList(K key,
                                      Collection<V> values)

  - ### Method Detail

    - #### delegate

          protected List<V> delegate()

      Overrides:
        `delegate` in class `AbstractMultimap.WrappedCollection`
      See Also:
        `AbstractMultimap.WrappedCollection.delegate()`

    - #### addAll

          public boolean addAll(int index,
                       Collection<? extends V> c)

      Specified by:
        `addAll` in interface `List<V>`
      See Also:
        `List.addAll(int, java.util.Collection)`

    - #### get

          public V get(int index)

      Specified by:
        `get` in interface `List<V>`
      See Also:
        `List.get(int)`

    - #### set

          public V set(int index,
              V element)

      Specified by:
        `set` in interface `List<V>`
      See Also:
        `List.set(int, java.lang.Object)`

    - #### add

          public void add(int index,
                 V element)

      Specified by:
        `add` in interface `List<V>`
      See Also:
        `List.add(int, java.lang.Object)`

    - #### remove

          public V remove(int index)

      Specified by:
        `remove` in interface `List<V>`
      See Also:
        `List.remove(int)`

    - #### indexOf

          public int indexOf(Object o)

      Specified by:
        `indexOf` in interface `List<V>`
      See Also:
        `List.indexOf(java.lang.Object)`

    - #### lastIndexOf

          public int lastIndexOf(Object o)

      Specified by:
        `lastIndexOf` in interface `List<V>`
      See Also:
        `List.lastIndexOf(java.lang.Object)`

    - #### listIterator

          public ListIterator<V> listIterator()

      Specified by:
        `listIterator` in interface `List<V>`
      See Also:
        `List.listIterator()`

    - #### listIterator

          public ListIterator<V> listIterator(int index)

      Specified by:
        `listIterator` in interface `List<V>`
      See Also:
        `List.listIterator(int)`

    - #### subList

          public List<V> subList(int fromIndex,
                        int toIndex)

      Specified by:
        `subList` in interface `List<V>`
      See Also:
        `List.subList(int, int)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.